Name:           purple-microblog
Version:        0.1.2
Release:        2.20080911svn148%{?dist}
Summary:        Libpurple plug-in supporting microblog services like Twitter

Group:          Applications/Internet     
License:        GPLv3+
URL:            http://code.google.com/p/microblog-purple/
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  svn export -r 148 http://microblog-purple.googlecode.com/svn/trunk mbpurple-%{version}
#  tar -czvf mbpurple-svn148.tar.gz mbpurple-%{version}
Source0:        http://microblog-purple.googlecode.com/files/mbpurple-svn148.tar.gz
Patch0:         0001-Clean-out-compiler-warnings.patch
Patch1:         0002-Fixing-build-system.patch
Patch9:         mbpurple-MC-build.patch        
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pidgin-devel, ElectricFence

%description
The project aims is to develop a set of microblog support in LibPurple base
client like Pidgin. Currently it only support Twitter through the conversation
windows.

Currently the source can be built and run on Windows Vista and Ubuntu 8.04.1.
Other platform with LibPurple should works, but we don't have time (yet) to
test it. 

%prep
%setup -q -n mbpurple-%{version}
%patch0 -p1 -b .compiler-warnings
%patch1 -p1 -b .fix-Makefile
%patch9 -p1 -b .RH-build

%build
export CFLAGS="$RPM_OPT_FLAGS"
make LIBDIR=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT LIBDIR=%{_libdir}
chmod 0755 $RPM_BUILD_ROOT%{_libdir}/purple-2/libtwitter.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README.txt
%{_libdir}/purple-2/*.so
%{_datadir}/pixmaps/pidgin/protocols/*/twitter.png

%changelog
* Sat Sep 13 2008 Matěj Cepl <mcepl@redhat.com> 0.1.2-2.20080911svn148
- Updated according to reviewer's comments after approval.

* Sat Sep 13 2008 Matěj Cepl <mcepl@redhat.com> 0.1.2-1.20080911svn148.1
- Fixing package reviewer's comments.

* Thu Sep 11 2008 Matej Cepl <mcepl@redhat.com> 0.1.2-0.20080911svn148
- Initial build.
